Bug 55375 - [i915 KMS] Supermicro X7SPA-H board reports phantom LVDS, VGA display unusable
Summary: [i915 KMS] Supermicro X7SPA-H board reports phantom LVDS, VGA display unusable
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: All All
: medium major
Assignee: Daniel Vetter
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-27 07:11 UTC by Francois Tigeot
Modified: 2017-07-24 23:00 UTC (History)
5 users (show)

See Also:
i915 platform:
i915 features:


Attachments
No LVDS quirk (1.02 KB, patch)
2012-10-17 17:04 UTC, Chris Wilson
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Francois Tigeot 2012-09-27 07:11:32 UTC
The Supermicro X7SPA-H is a desktop mini-ITX board with a single VGA output driven by a i915-compatible chipset (Intel GMA 3150):
http://www.supermicro.com/products/motherboard/ATOM/ICH9/X7SPA.cfm?typ=H

This board reports a phantom LVDS display and the KMS system used by newer Linux distributions uses it as the primary display, rendering the real VGA one unusable.

For example, with Fedora 17 only a wallpaper is displayed on the real screen and the mouse cursor can be moved to a phantom one on the left. Login screen and startup messages are not visible.

Only by adding "video=LVDS-1:d" on the kernel command line am I able to get usable output on the VGA display.

System information as reported by dmidecode:

System Information
        Manufacturer: Supermicro
        Product Name: X7SPA-H
        Version: <BAD INDEX>
        Serial Number: <BAD INDEX>
        UUID: 49434D53-0200-9005-2500-059025004071
        Wake-up Type: Power Switch
        SKU Number: <BAD INDEX>
        Family: <BAD INDEX>
Comment 1 Chris Wilson 2012-09-27 07:32:50 UTC
Are you absolutely sure the board doesn't have an LVDS header?
Comment 2 Francois Tigeot 2012-09-27 07:56:56 UTC
(In reply to comment #1)
> Are you absolutely sure the board doesn't have an LVDS header?

100% sure, this particular model only has a VGA port.

There is effectively a X7SPA board with a LVDS header, but it's a different model named X7SPA-L.
None of them can be upgraded or downgraded to the other.
Comment 3 Chris Wilson 2012-10-17 17:04:22 UTC
Created attachment 68722 [details] [review]
No LVDS quirk

Sorry for the delay, can you please test the attached patch?
Comment 4 Francois Tigeot 2012-10-18 16:38:22 UTC
Thanks for the patch, it fixed the issue perfectly!

No more phantom screen with a patched kernel :-)
Comment 5 Chris Wilson 2012-10-19 20:26:32 UTC
Applied to -fixes:

commit c31407a3672aaebb4acddf90944a114fa5c8af7b
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 18 21:07:01 2012 +0100

    drm/i915: Add no-lvds quirk for Supermicro X7SPA-H
    
    Reported-and-tested-by: Francois Tigeot <ftigeot@wolfpond.org>
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=55375
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.